# Uses of Interface
java.net.http.HttpResponse.PushPromiseHandler

Packages that use HttpResponse.PushPromiseHandler
Package
Description
java.net.http
HTTP Client and WebSocket APIs

## Uses of HttpResponse.PushPromiseHandler in java.net.http

Methods in java.net.http that return HttpResponse.PushPromiseHandler
Modifier and Type
Method
Description
`static <T> HttpResponse.PushPromiseHandler<T>`
HttpResponse.PushPromiseHandler.`of(Function<HttpRequest, HttpResponse.BodyHandler<T>> pushPromiseHandler, ConcurrentMap<HttpRequest, CompletableFuture<HttpResponse<T>>> pushPromisesMap)`
Returns a push promise handler that accumulates push promises, and their responses, into the given map.
Methods in java.net.http with parameters of type HttpResponse.PushPromiseHandler
Modifier and Type
Method
Description
`abstract <T> CompletableFuture<HttpResponse<T>>`
HttpClient.`sendAsync(HttpRequest request, HttpResponse.BodyHandler<T> responseBodyHandler, HttpResponse.PushPromiseHandler<T> pushPromiseHandler)`
Sends the given request asynchronously using this client with the given response body handler and push promise handler.